请稍侯

macOS下安装配置Jekyll

01 May 2013

在macOS 10.11+下安装配置Jekyll

  1. 确保系统已经有环境:Ruby(v1.9.3+),RubyGems,NodeJS,Python 2.7 ;
  2. 安装Xcode Command-Line Tools:xcode-select --install
  3. 安装Jekyll:sudo gem install -n /usr/local/bin jekyll,检查版本:jekll -v
  4. 安装Github Pages插件:sudo gem install -n /usr/local/bin github-pages
  5. 查看Gems列表:gem list
  6. 启动Jekyll服务:jekyll serve

参考:Jekyll官网


  • 安装Jekyll

参考:How can I install Jekyll on OSX 10.11

安装命令:sudo gem install -n /usr/local/bin/ jekyll

  • 安装依赖

参考:don’t have jekyll-paginate or one of its dependencies installed

安装命令:sudo gem install -n /usr/local/bin/ jekyll-paginate

  • 查看安装的gem依赖

命令:gem list

下面列出一些常用的:

*** LOCAL GEMS ***

actionmailer (4.2.5)
actionpack (4.2.5)
actionpack-action_caching (1.1.1)
actionpack-xml_parser (1.0.2)
actionview (4.2.5)
activejob (4.2.5)
activemodel (4.2.5)
activerecord (4.2.5)
activesupport (4.2.5.1, 4.2.5)
addressable (2.4.0, 2.3.8)
arel (6.0.3)
awesome_nested_set (3.0.3)
bigdecimal (1.2.4)
builder (3.2.2)
bundler (1.11.2)
climate_control (0.0.3)
cocaine (0.5.8)
coderay (1.1.0)
coffee-script (2.4.1)
coffee-script-source (1.10.0)
colorator (0.1)
colored (1.2)
concurrent-ruby (1.0.0)
css_parser (1.3.7)
erubis (2.7.0)
ethon (0.8.1)
execjs (2.6.0)
faraday (0.9.2)
ffi (1.9.10)
gemoji (2.1.0)
github-pages (48)
github-pages-health-check (0.6.1)
globalid (0.3.6)
html-pipeline (2.3.0)
html-proofer (2.6.4)
htmlentities (4.3.1)
i18n (0.7.0)
io-console (0.4.2)
jekyll (3.1.1, 3.0.3)
jekyll-coffeescript (1.0.1)
jekyll-feed (0.3.1)
jekyll-gist (1.4.0)
jekyll-mentions (1.0.0)
jekyll-paginate (1.1.0)
jekyll-redirect-from (0.9.1)
jekyll-sass-converter (1.4.0, 1.3.0)
jekyll-seo-tag (1.0.0)
jekyll-sitemap (0.10.0)
jekyll-textile-converter (0.1.0)
jekyll-watch (1.3.1)
jemoji (0.5.1)
jquery-rails (3.1.4)
json (1.8.3, 1.8.1)
kaminari (0.16.3)
kramdown (1.9.0)
liquid (3.0.6)
listen (3.0.6)
loofah (2.0.3)
mail (2.6.3)
mercenary (0.3.5)
mime-types (2.99)
mini_portile2 (2.0.0)
minitest (5.8.4, 4.7.5)
multi_json (1.11.2)
multipart-post (2.0.0)
mysql2 (0.3.20)
net-dns (0.8.0)
net-ldap (0.12.1)
nokogiri (1.6.7.2)
octokit (4.2.0)
pandoc-ruby (1.0.0)
paperclip (4.2.4)
parallel (1.6.1)
passenger (5.0.23)
posix-spawn (0.3.11)
protected_attributes (1.1.3)
psych (2.0.5)
public_suffix (1.5.3)
pygments.rb (0.6.3)
rack (1.6.4, 1.5.2)
rack-openid (1.4.2)
rack-raw-upload (1.1.1)
rack-test (0.6.3)
rails (4.2.5)
rails-deprecated_sanitizer (1.0.3)
rails-dom-testing (1.0.7)
rails-html-sanitizer (1.0.3)
railties (4.2.5)
rake (10.5.0, 10.1.0)
rb-fsevent (0.9.7)
rb-inotify (0.9.7)
rbpdf (1.19.0)
rbpdf-font (1.19.0)
rdiscount (2.1.8)
rdoc (4.1.0)
redcarpet (3.3.4, 3.3.3)
RedCloth (4.2.9)
redmine_crm (0.0.22)
request_store (1.0.5)
rmagick (2.15.4)
roadie (3.1.1)
roadie-rails (1.1.0)
rouge (1.10.1)
ruby-ole (1.2.12)
ruby-openid (2.3.0)
rubyzip (1.1.7, 1.1.6)
safe_yaml (1.0.4)
sass (3.4.21)
sass-rails (5.0.4)
sawyer (0.6.0)
spreadsheet (0.6.9)
sprockets (3.5.2)
sprockets-rails (3.0.0)
terminal-table (1.5.2)
test-unit (2.1.5.0)
thor (0.19.1)
thread_safe (0.3.5)
tilt (2.0.2)
typhoeus (0.8.0)
tzinfo (1.2.2)
vcard (0.2.12)
yajl-ruby (1.2.1)
yell (2.0.5)